
---
apiVersion: apiextensions.k8s.io/v1
kind: CustomResourceDefinition
metadata:
  annotations:
    controller-gen.kubebuilder.io/version: v0.4.1
  creationTimestamp: null
  name: reservedhostnames.webservices.cern.ch
spec:
  group: webservices.cern.ch
  names:
    kind: ReservedHostname
    listKind: ReservedHostnameList
    plural: reservedhostnames
    singular: reservedhostname
  scope: Namespaced
  versions:
  - name: v1alpha1
    schema:
      openAPIV3Schema:
        description: ReservedHostname is the Schema for the reservedhostnames API
        properties:
          apiVersion:
            description: 'APIVersion defines the versioned schema of this representation
              of an object. Servers should convert recognized schemas to the latest
              internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources'
            type: string
          kind:
            description: 'Kind is a string value representing the REST resource this
              object represents. Servers may infer this from the endpoint the client
              submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds'
            type: string
          metadata:
            type: object
          spec:
            description: ReservedHostnameSpec defines the desired state of ReservedHostname
            properties:
              hostnames:
                description: Hostnames array of hostnames currently being used by
                  the old infrastructure
                items:
                  type: string
                type: array
            type: object
          status:
            description: ReservedHostnameStatus defines the observed state of ReservedHostname
            type: object
        type: object
    served: true
    storage: true
    subresources:
      status: {}
status:
  acceptedNames:
    kind: ""
    plural: ""
  conditions: []
  storedVersions: []
